#include <cstdlib>
#include <cstring>
#include <iostream>
using namespace std;

string oblik;

struct pos_t {
    int x, y, t;
    void move() {
        const char *smjerovi = "UDLR";
        const int dx[] = { 0, 0, -1, 1 };
        const int dy[] = { 1, -1, 0, 0 };
        int dir = strchr(smjerovi, oblik[t]) - smjerovi;
        x += dx[dir];
        y += dy[dir];
        t += 1;
    }
};

int main() {
    int L, K;
    cin >> L >> oblik >> K;

    int rez = 0;
    pos_t mirko = {0, 0, 0}, slavko = {0, 0, 0};
    while ( mirko.t < L-1 ) {
        mirko.move();
        if ( mirko.t >= K ) {
            rez += max(abs(mirko.x-slavko.x), abs(mirko.y-slavko.y)) == 1;
            slavko.move();
        }
    }
    cout << rez << endl;
    return 0;
}
